Skip to content
GET /unified/forms/forms/{id}

Path Parameters

idstring
required·

The ID of the resource.

Example: 23423523

Query Parameters

Refer Specifying query parameters in Truto APIs

Show Truto-specific parameters
integrated_account_idstring · uuid
required·

The ID of the integrated account to use for the request.

Example: 62f44730-dd91-461e-bd6a-aedd9e0ad79d
truto_response_formatstring

The format of the response.

  • unified returns the response with unified mappings applied.
  • raw returns the unprocessed, raw response from the remote API.
  • normalized applies the unified mappings and returns the data in a normalized format.
  • stream returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.

Defaults to unified.

Example: unified
Possible values:
unifiedrawnormalizedstream
truto_ignore_remote_databoolean

Excludes the remote_data attribute from the response.

truto_exclude_fieldsstring[]

Array of fields to exclude from the response.

Example: truto_exclude_fields[]=id&truto_exclude_fields[]=name
remote_queryRecord<string, any>

Query parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.

Example: remote_query[foo]=bar

Response Body

created_atstring · date-time

The date and time when the form was created.

5 supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
Webflow
supported
fieldsobject[]

The form fields

4 supported
Google
supported
Google Forms
supported
Survey Monkey
supported
Typeform
supported
columnsobject[]

The field's columns. If present, the field's type is matrix

4 properties
descriptionstring

The column's description

labelstring

The column's label

optionsobject[]

The field's options

3 properties
descriptionstring

The option's description

labelstring

The option's label

valuestring

The option's value

valuestring

The column's value

descriptionstring

The field's description

field_groupobject

The field's group identifier. If present, the field is part of a group.

3 properties
idstring

The field groups's identifier

labelstring

The field groups's label

namestring

The field groups's name

formatstring

The format of the field.

Possible values:
urlemailpassword
idstring

The field's unique identifier

is_requiredboolean

Whether the field is required

labelstring

The field's label

namestring

The field's name. This is the name of the property in the entity.

optionsobject[]

The field's options

3 properties
descriptionstring

The option's description

labelstring

The option's label

valuestring

The option's value

placeholderstring

The field's placeholder

positionnumber

The index position of field in the form.

rangeobject

The range applicable for field types number, rating, scale.

4 properties
maxnumber

The maximum range for the field.

max_labelnumber

The label for the maximum range of the field.

minnumber

The minimum range for the field.

min_labelnumber

The label for the minimum range of the field.

rowsobject[]

The field's rows. If present, the field's type is matrix

3 properties
descriptionstring

The row's description

labelstring

The row's label

valuestring

The row's value

typestring

The field's type. If no clear mapping exists, then raw value is returned.

Possible values:
statementstringtextrich_textnumberbooleandatedatetimetimeenumarrayfile+ 5 more
validationstring

The validation string for the field.

idstring

The unique identifier of the form.

7 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
Webflow
supported
last_submitted_atstring · date-time

The date and time when the form was last submitted.

1 supported
Jotform
supported
namestring

The name of the form.

7 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
Webflow
supported
organizationobject

The organization to which the workspace belongs.

idstring

The unique identifier of the organization.

namestring

The name of the organization.

remote_dataRecord<string, any>

Raw data returned from the remote API call.

typestring

The type of the form.

6 supported
Google
supported
Google Forms
supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
updated_atstring · date-time

The date and time when the form was last updated.

5 supported
Jotform
supported
Survey Monkey
supported
SurveySparrow
supported
Typeform
supported
Webflow
supported
workspaceobject

The workspace to which the form belongs.

2 supported
Typeform
supported
Webflow
supported
idstring

The unique identifier of the workspace.

namestring

The name of the workspace.

curl -X GET 'https://api.truto.one/unified/forms/forms/{id}?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/forms/forms/{id}?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
import requests

url = "https://api.truto.one/unified/forms/forms/{id}"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.get(
  'forms',
  'forms',
  '<resource_id>',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    result = await truto_api.unified_api.get(
        "forms",
        "forms",
        "<resource_id>",
        {"integrated_account_id": "<integrated_account_id>"}
    )
    print(result)

asyncio.run(main())